我发现另一个线程有一个类似的线程。这一个似乎工作得更好,我想我可以修改这一个为我想要的。
“只需点击#图标并在]和[谢谢您的帮助]之间插入代码。”
谢谢Tomhamlet,我刚刚意识到了这一点,我正在考虑visual Lisp控制台。
- (defun c:insertdim ()
- (command "._style" "SIMPLEX" "SIMPLEX.SHX" "0" "1" "" "" "" "")
- (setvar "lunits" 4)
- (setvar "DIMASSOC" 1)
- (setq ds
- (list
- (cons 0 "DIMSTYLE")
- (cons 100 "AcDbSymbolTableRecord")
- (cons 100 "AcDbDimStyleTableRecord")
- (cons 2 "DIMTEST") ;Dim style name
- (cons 70 0) ;
- (cons 5 "ARCHTICK") ;DIMBLK-Name of block instead of default arrowhead
- (cons 170 0) ;DIMALT-turns off alternate units
- (cons 40 48) ;DIMSCALE-sets the overall scale factor applied to all dimensions
- (cons 41 0.125) ;DIMASZ-sets the size of the arrow/tick
- (cons 44 0.0625) ;DIMEXE-specifies how far to extend the extention line beyound the dim line
- (cons 46 0) ;DIMDLE-sets the distance the dimension line extends beyond the extension line
- (cons 73 0) ;DIMTIH-controls the position of dimension text inside extention lines
- (cons 74 0) ;DIMTOH-controls the position of dimension text outside extention lines
- (cons 77 1) ;DIMTAD-controls the vertical position of text in relation to the dim line
- (cons 78 3) ;DIMZIN-controls the suppression of zeros
- (cons 140 0.125) ;DIMTXT-specifies the height of the text in the dim
- (cons 143 25.4) ;DIMALTF-controls the scale factor for alt. units
- (cons 147 0.0625) ;DIMGAP-sets the distance from around the dim text
- (cons 171 2) ;DIMALTD-controls the decimal places for units
- (cons 172 0) ;DIMTOFL-forces a line inside extension lines
- (cons 270 4) ;DIMUNIT-sets the units format for all dims
- (cons 271 4) ;DIMDEC-sets the number of decimal places of primary units
- (cons 273 2) ;DIMALTU-sets the units for alt. units
- (cons 275 0) ;DIMAUNIT-sets the angular format for angular dims
- (cons 280 0) ;DIMJUST-controls the horizontal positioning of dim text
- (cons 286 0) ;DIMALTTZ-Toggles the suppression in tolerance values
- )
- )
- (entmake ds)
- (dimsave)
- (princ)
- )
- (defun dimsave ()
- (command "DIMSTYLE" "R" "DIMTEST")
- (setvar "DIMTXSTY" "SIMPLEX")
- (command "DIMSTYLE" "S" "DIMTEST" "Y")
- )
|